[Top] [All Lists]

Re: compilation problem with kernel 2.6.15

Subject: Re: compilation problem with kernel 2.6.15
From: James E Wilson <>
Date: Tue, 28 Mar 2006 11:09:22 -0800
In-reply-to: <>
Original-recipient: rfc822;
References: <>
On Tue, 2006-03-28 at 06:37, Krishna wrote:
>  err
> or: read-only variable ΓÇÿ__gu_valΓÇÖ used as ΓÇÿasmΓÇÖ output

This means a new error check in gcc has found a latent kernel bug.

It is also sometimes the case that a new linux kernel finds a latent gcc

Note, in general, key parts of linux such as the kernel, glibc, and gcc,
often have such heavy dependencies on each other that you can not pick
and choose random versions.  If you want to use a particular kernel
version, then there are often particular glibc and gcc versions you
should use with it, otherwise you are likely to run into trouble.

This link:
recommends gcc-3.4.  And if you follow the "recommended" link to
it specifically recommends against use of gcc-4.1 for compiling the
linux kernel, as this hasn't been well tested yet.
Jim Wilson, GNU Tools Support,

<Prev in Thread] Current Thread [Next in Thread>